array_ref_decl.hpp File Reference
`#include "msgpack/versioning.hpp"`
`#include "msgpack/adaptor/adaptor_base.hpp"`

Go to the source code of this file.

## Classes

struct | msgpack::type::array_ref< T >

## Namespaces

| msgpack
| msgpack::type

## Functions

template<typename T >
msgpack::enable_if< !msgpack::is_array< T const >::value, array_ref< T const >>::type | msgpack::type::make_array_ref (const T &t)
template<typename T >
msgpack::enable_if< !msgpack::is_array< T >::value, array_ref< T >>::type | msgpack::type::make_array_ref (T &t)
template<typename T , std::size_t N>
array_ref< const T[N]> | msgpack::type::make_array_ref (const T(&t)[N])
template<typename T , std::size_t N>
array_ref< T[N]> | msgpack::type::make_array_ref (T(&t)[N])